For the complete documentation index, see llms.txt. This page is also available as Markdown.

Получение подписки

Метод позволяет получить информацию о подписке

Получение подписки

post
Header parameters
x-api-public-keystringOptional

Публичный API-ключ

x-api-signaturestringOptional

Подпись тела запроса приватным API-ключем

Content-typestringOptional

Тип тела запроса

Example: application/json
Body

Тело запроса получения данных подписки

idstringRequired

Идентификатор подписки

Example: 7544e48d-b6cb-4cba-a59f-c5ff0f0f354d
merchantIdstringRequired

Идентификатор мерчанта

Example: 6c3428c6-c8b8-444f-9ab0-78c864df1719
Responses
200Success
application/json

Успешный ответ

successbooleanRequired

Признак успешности запроса

post/api-gateway/recurrents/get-subscription
POST /api-gateway/recurrents/get-subscription HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "id": "7544e48d-b6cb-4cba-a59f-c5ff0f0f354d",
  "merchantId": "6c3428c6-c8b8-444f-9ab0-78c864df1719"
}
200Success
{
  "success": true,
  "response": {
    "id": "7544e48d-b6cb-4cba-a59f-c5ff0f0f354d",
    "merchantId": "6c3428c6-c8b8-444f-9ab0-78c864df1719",
    "billingLinkId": "8a19100c-e2ec-46ba-932f-682d2df79d8b",
    "title": "Premium",
    "description": "Premium subscription. With premium subscription u can use premium functions",
    "spendInterval": "-1",
    "status": "PENDING",
    "message": null,
    "currency": "USD",
    "amount": "7.99",
    "webhookUrl": "https://merchant.domain/webhooks/subscription",
    "createdAt": "2026-01-29T11:16:59.960Z",
    "updatedAt": "2026-01-29T11:16:59.960Z"
  }
}

Last updated